unit uViewVendedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewContacto, dxLayoutLookAndFeels, DB, uDADataTable,
  dxLayoutControl, cxMemo, cxDBEdit, cxContainer, cxEdit, cxTextEdit, cxControls,
  cxMaskEdit, cxSpinEdit, ImgList, PngImageList, ActnList, cxHyperLinkEdit,
  Buttons, PngSpeedButton, cxDropDownEdit, cxCalendar, cxGraphics,
  uDAInterfaces, uCustomView, uViewBase, uBizContactos,
  uViewObservaciones, cxLookAndFeels, cxLookAndFeelPainters,
  dxLayoutcxEditAdapters;

type
  IViewVendedor = interface(IViewContacto)
  ['{245F4A36-39A4-4081-9826-F05FBBC729AE}']
  end;

  TfrViewVendedor = class(TfrViewContacto, IViewVendedor)
    dxLayoutControlContactoItem20: TdxLayoutItem;
    edtComision: TcxDBSpinEdit;

  private
    FDataItem : TDADataTable;
    function GetDataItem: TDADataTable;
    procedure SetDataItem(const Value: TDADataTable);

  protected
    procedure SetContacto(const Value: IBizContacto); override;

  public
    property DataItem : TDADataTable read GetDataItem write SetDataItem;
  end;

implementation
{$R *.dfm}

uses uFactuGES_App;

function TfrViewVendedor.GetDataItem: TDADataTable;
begin
  Result := FDataItem;
end;

procedure TfrViewVendedor.SetContacto(const Value: IBizContacto);
begin
  inherited;
  DataItem := FContacto.DataTable;
end;

procedure TfrViewVendedor.SetDataItem(const Value: TDADataTable);
begin
  FDataItem := Value;
end;

end.
